# Generated from goofy-1.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name goofy

Name: rubygem-%{gem_name}
Version: 1.0.2
Release: 1%{?dist}
Summary: Microframework for web applications
License: MIT
URL: https://github.com/EhsanYousefi/goofy
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(cutest)
# BuildRequires: rubygem(rack-test)
# BuildRequires: rubygem(tilt)
BuildArch: noarch

%description
Goofy is a microframework for web applications(heavily based on Cuba).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/check_its_goofy.rb
%{_bindir}/goofy
%{_bindir}/goofy_generator.rb
%{_bindir}/goofy_instance_creator.rb
%{gem_instdir}/.gems
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/benchmark
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/makefile
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/CONTRIBUTING
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/examples
%{gem_instdir}/goofy.gemspec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 1.0.2-1
- Initial package
